Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1260254 - Review Request: mongo-c-driver - High-performance MongoDB driver for C
Review Request: mongo-c-driver - High-performance MongoDB driver for C
Status: CLOSED DUPLICATE of bug 1312939
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 1208101
Blocks: pecl/mongodb
  Show dependency treegraph
 
Reported: 2015-09-04 23:21 EDT by Christopher Meng
Modified: 2016-02-29 10:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 10:06:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2015-09-04 23:21:15 EDT
Spec URL: http://cicku.me/mongo-c-driver.spec
SRPM URL: http://cicku.me/mongo-c-driver-1.2.0-0.1.beta1.fc24.src.rpm
Description: mongo-c-driver(previously libmongoc) is a client library written in C for MongoDB.
Fedora Account System Username: cicku
Comment 1 Remi Collet 2015-09-05 01:40:32 EDT
Nice, I need this package for php-pecl-mongodb.

I think it could be useful to run the test suite in %check.

See https://github.com/remicollet/remirepo/blob/master/mongo-c-driver/mongo-c-driver.spec#L109
Comment 2 Christopher Meng 2015-09-05 06:11:21 EDT
(In reply to Remi Collet from comment #1)
> Nice, I need this package for php-pecl-mongodb.
> 
> I think it could be useful to run the test suite in %check.
> 
> See
> https://github.com/remicollet/remirepo/blob/master/mongo-c-driver/mongo-c-
> driver.spec#L109

Thanks. I will add you as comaintainer when it's imported.
Comment 3 Remi Collet 2015-12-08 01:50:04 EST
FYI:

https://jira.mongodb.org/browse/CDRIVER-1039 issue with man pages
https://jira.mongodb.org/browse/CDRIVER-1040 private ABI changes

For now, pecl/mongodb is only compatible with version 1.2.x (because of this private API usage)
Comment 4 Remi Collet 2015-12-16 02:04:02 EST
For your information:
- pecl/mongodb 1.0.x is compatible with version 1.2.x
- pecl/mongodb 1.1.x is compatible with version 1.3.x

So I'm fine with either 1.2 or 1.3 (of course, latest seems better)
Comment 5 Christopher Meng 2016-02-13 20:47:32 EST
(In reply to Remi Collet from comment #4)
> For your information:
> - pecl/mongodb 1.0.x is compatible with version 1.2.x
> - pecl/mongodb 1.1.x is compatible with version 1.3.x
> 
> So I'm fine with either 1.2 or 1.3 (of course, latest seems better)

I will submit soon, since the dep just got pushed into SCM.
Comment 6 Remi Collet 2016-02-29 10:06:59 EST
Taking review.

*** This bug has been marked as a duplicate of bug 1312939 ***

Note You need to log in before you can comment on or make changes to this bug.